I have a 2008 MacBook running OSX 10.7.5. I want to update to OSX 10.8. Can you tell me if this is possible?

OSX 10.8 Question

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    Several types of MacBooks. From WikiPedia I quote:

    "The official system requirements of OS X 10.8 are 2 GB RAM, 8 GB available storage, 10.6.8 or newer running, and any of the following Macs:

    - mid-2007 or newer iMac
    - aluminum MacBook, 2009 or newer polycarbonate MacBook
    - 2007 or newer MacBook Pro
    - late-2008 or newer MacBook Air
    - 2009 or newer Mac Mini
    - 2008 or newer Mac Pro
    - 2009 Xserve "

    Was this useful? Answer 1

    1 of 1 people found this useful

  • Open the Mac App Store, search for OS X 10.9 Mavericks and attempt to install it. If your Mac doesn't support it, you'll see a message indicating this. If that happens, then your Mac doesn't support 10.8 either.

    Was this useful? Answer 2

    1 of 1 people found this useful

Related Questions